import React from 'react';
import { Icon } from 'antd-mobile';
import CustomIcon from '@/components/CustomIcon';

export const UP = <Icon type='up' />;
export const DOWN = <Icon type='down' />;
export const LEFT = <Icon type='left' />;
export const RIGHT = <Icon type='right' />;
export const SEARCH = <Icon type='search' />;
export const CROSS = <Icon type='cross' />;

export const LOADING_LG = <Icon type='loading' size='lg' />;
export const LOADING = <Icon type='loading' />;
export const LOADING_XXS = <Icon type='loading' size='xxs'  />;
export const ELLIPSIS_LG = <Icon type='ellipsis' size='lg' />;

export const ADD = <CustomIcon type={require('@/assets/svg/add.svg')} />;
export const USER = <CustomIcon type={require('@/assets/svg/user.svg')} />;
export const USERFILE = <CustomIcon type={require('@/assets/svg/user-profile.svg')} />;
export const USERFILE_LG = <CustomIcon size='lg' type={require('@/assets/svg/user-profile.svg')} />;
export const CHILD = <CustomIcon type={require('@/assets/svg/child.svg')} />;
export const NAV = <CustomIcon type={require('@/assets/svg/nav.svg')} />;
export const DELETE = <CustomIcon type={require('@/assets/svg/delete.svg')} />;
export const INFO = <CustomIcon type={require('@/assets/svg/info.svg')} />;
export const WARN = <CustomIcon type={require('@/assets/svg/warn.svg')} />;
export const LOCATE = <CustomIcon type={require('@/assets/svg/location.svg')} />;
export const LOCATE_LG = <CustomIcon size='lg' type={require('@/assets/svg/location.svg')} />;
export const CHECK = <CustomIcon type={require('@/assets/svg/check-circle.svg')} />;
export const CHECK_XXL = <CustomIcon size='xxl' type={require('@/assets/svg/check-circle.svg')} />;
export const USD_XXL = <CustomIcon size='xxl' type={require('@/assets/svg/usd.svg')} />;
export const PAYMENT = <CustomIcon type={require('@/assets/svg/payment.svg')} />;
export const PAYMENT_XXL = <CustomIcon size='xxl' type={require('@/assets/svg/payment.svg')} />;
export const PAYPAL = <CustomIcon type={require('@/assets/svg/paypal-2.svg')} />;
export const PAYPAL_LG = <CustomIcon size='lg' type={require('@/assets/svg/paypal-2.svg')} />;
export const ALIPAY = <CustomIcon type={require('@/assets/svg/alipay-2.svg')} />;
export const ALIPAY_LG = <CustomIcon size='lg' type={require('@/assets/svg/alipay-2.svg')} />;
export const CARD = <CustomIcon type={require('@/assets/svg/card-2.svg')} />;
export const CARD_LG = <CustomIcon size='lg' type={require('@/assets/svg/card-2.svg')} />;
// export const CHECK_XXS = <CustomIcon size='xxs' type={require('@/assets/icon/check.svg')} />;
// export const FAVORITE_XXS = <CustomIcon size='xxs' type={require('@/assets/icon/favorite.svg')} />;
// export const TIME_XXS = <CustomIcon size='xxs' type={require('@/assets/icon/time.svg')} />;

// export const PEOPLE_FILL = <CustomIcon type={require('@/assets/icon/people_fill.svg')} />;
// export const PEOPLE = <CustomIcon type={require('@/assets/icon/people.svg')} />;
// export const DYNAMIC = <CustomIcon type={require('@/assets/icon/dynamic.svg')} />;
// export const DYNAMIC_FILL = <CustomIcon type={require('@/assets/icon/dynamic_fill.svg')} />;

// export const DOWNLOAD = <CustomIcon type={require('@/assets/icon/download.svg')} />;
export const REFRESH = <CustomIcon type={require('@/assets/svg/refresh.svg')} />;
export const MAP_MARKER = <CustomIcon type={require('@/assets/svg/map-marker.svg')} />;

// export const MOBILE_PHONE_FILL = <CustomIcon type={require('@/assets/icon/mobilephone_fill.svg')} />;
